### Enumeration

# Gimp RepeatMode

#### Declaration

    enum Gimp.RepeatMode

#### Description [src]

Repeat modes for example for gradients.

#### Members

`GIMP_REPEAT_NONE`

  None (extend).

  - Value: `0`
  - Available since: 3.0
`GIMP_REPEAT_TRUNCATE`

  None (truncate).

  - Value: `1`
  - Available since: 3.0
`GIMP_REPEAT_SAWTOOTH`

  Sawtooth wave.

  - Value: `2`
  - Available since: 3.0
`GIMP_REPEAT_TRIANGULAR`

  Triangular wave.

  - Value: `3`
  - Available since: 3.0